interface APICredentials {
    apiURL?: string;
    token: string;
}
interface ContextCredentials {
    contextURL: string;
    token: string;
}
interface BlobsOptions {
    authentication: APICredentials | ContextCredentials;
    context?: string;
    fetcher?: typeof globalThis.fetch;
    siteID: string;
}
interface SetOptions {
    ttl?: Date | number;
}
type BlobInput = ReadableStream | string | ArrayBuffer | Blob;
export declare class Blobs {
    private authentication;
    private context;
    private fetcher;
    private siteID;
    constructor({ authentication, context, fetcher, siteID }: BlobsOptions);
    private getFinalRequest;
    private static getTTLHeaders;
    private isConfigured;
    private makeStoreRequest;
    delete(key: string): Promise<void>;
    get(key: string): Promise<string>;
    get(key: string, { type }: {
        type: 'arrayBuffer';
    }): Promise<ArrayBuffer>;
    get(key: string, { type }: {
        type: 'blob';
    }): Promise<Blob>;
    get(key: string, { type }: {
        type: 'json';
    }): Promise<any>;
    get(key: string, { type }: {
        type: 'stream';
    }): Promise<ReadableStream>;
    get(key: string, { type }: {
        type: 'text';
    }): Promise<string>;
    set(key: string, data: BlobInput, { ttl }?: SetOptions): Promise<void>;
    setFile(key: string, path: string, { ttl }?: SetOptions): Promise<void>;
    setJSON(key: string, data: unknown, { ttl }?: SetOptions): Promise<void>;
}
export {};
